﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace WebApplication29.Controllers
{
    public class StateController : Controller
    {
        // GET: State
        public ActionResult Index()
        {
            return View();
        }

        //Zarządzanie sesją
        public ActionResult SessionTest()
        {
            if (Session["a"] == null)
                ViewBag.Message = "Sesja pod 'a' jest pusta.";
            else
                ViewBag.Message = Session["a"];

            return View();
        }

        [HttpPost]
        public ActionResult SessionTest(string val)
        {
            if (!String.IsNullOrEmpty(val))
            {
                Session["a"] = val;

                return RedirectToAction("SessionTest");
            }

            return View();
        }


        //Zarządzanie kontekstem aplikacji
        public ActionResult AppTest()
        {
            var app = HttpContext.Application;

            if (app["a"] == null)
                ViewBag.Message = "Kontekst aplikacji pod 'a' jest pusty.";
            else
                ViewBag.Message = app["a"];

            return View();
        }

        [HttpPost]
        public ActionResult AppTest(string val)
        {
            var app = HttpContext.Application;

            if (!String.IsNullOrEmpty(val))
            {
                app["a"] = val;

                return RedirectToAction("AppTest");
            }

            return View();
        }


        //Zarządzanie ciasteczkami
        public ActionResult CookieTest()
        {
            if (Request.Cookies["a"] == null)
                ViewBag.Message = "Brak ciasteczka 'a'";
            else
                ViewBag.Message = Request.Cookies["a"].Value;

            return View();
        }

        [HttpPost]
        public ActionResult CookieTest(string val)
        {
            if (!String.IsNullOrEmpty(val))
            {
                HttpCookie cookie;

                cookie = new HttpCookie("a");
                cookie.Value = val;
                cookie.Expires = DateTime.Now.AddSeconds(30);

                Response.Cookies.Add(cookie);

                return RedirectToAction("CookieTest");
            }

            return View();
        }
    }
}